Tree (JProfiler API)
Date: 2012-06-30

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.platform.structures
Interface Tree

All Superinterfaces:
  java.lang.Comparable<ProfilingValue>, java.lang.Iterable<Tree>, ProfilingValue

    public interface Tree

extends ProfilingValue, java.lang.Iterable<Tree>

Describes a call tree. This structure is used for CPU trees as well as allocation trees.

Each tree exposes the following data:

- a sub-tree for possible child nodes. `Tree` implements `java.lang.Iterable`, so you can use the enhanced for loop to iterate over children.
- associated profiling information provided by the `ProfilingValue` super class
- associated payload information. Payload is added to the call tree by built-in or user defined `interceptors`.

Method Summary
`java.util.Iterator<Tree>` | `children()` Returns an iterator for all child nodes.
`int` | `getChildCount()` Returns the number of child nodes.
`int` | `getPayloadCount()` Returns the number of payloads attached to this call stack.
`java.util.Iterator<Payload>` | `getPayloadIterator()` Returns an iterator for all payloads attached to this call stack.

Methods inherited from interface com.jprofiler.api.platform.structures.ProfilingValue
`getCount, getDescriptor, getLineNumber, getValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getChildCount

    int getChildCount()

  Returns the number of child nodes.

  Returns:
    the child count

### children

    java.util.Iterator<Tree> children()

  Returns an iterator for all child nodes. You can also use the enhanced for loop to iterate over children.

  Returns:
    the iterator

### getPayloadIterator

    java.util.Iterator<Payload> getPayloadIterator()

  Returns an iterator for all payloads attached to this call stack.

  Returns:
    the iterator
  See Also:
    `Payload`

### getPayloadCount

    int getPayloadCount()

  Returns the number of payloads attached to this call stack.

  Returns:
    the payload count

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD